Bug 180465 - Switching to text console and back hangs X server
Switching to text console and back hangs X server
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-sis (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2006-02-08 04:51 EST by Pawel Salek
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-09 11:26:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf (2.65 KB, text/plain)
2006-02-08 07:18 EST, Pawel Salek
no flags Details
Xorg.0.log before the hang (34.45 KB, text/plain)
2006-02-08 07:19 EST, Pawel Salek
no flags Details
Xorg.0.log after the hang (34.50 KB, text/plain)
2006-02-08 07:21 EST, Pawel Salek
no flags Details

  None (edit)
Description Pawel Salek 2006-02-08 04:51:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
Switching the virtual console to text mode and back leaves the Xorg process unresponsive and the screen white. This problem has appearead in rawhide in the last month, I believe. The box as such is alive and one can connect via ssh to it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. see above.

Actual Results:  Xorg utilizes 100% CPU. When I connect gdb to Xorg, I get following stack trace:
(gdb) where
#0  0x00000036286bd900 in __write_nocancel () from /lib64/libc.so.6
#1  0x0000003628667793 in _IO_new_file_write () from /lib64/libc.so.6
#2  0x0000003628668bef in _IO_new_file_xsputn () from /lib64/libc.so.6
#3  0x000000362865e89b in fwrite () from /lib64/libc.so.6
#4  0x00000000005666a2 in LogVWrite ()
#5  0x000000000056717d in LogVMessageVerb ()
#6  0x0000000000481f2c in xf86VDrvMsgVerb ()
#7  0x00002b59ab2893c2 in sisRestoreExtRegisterLock ()
   from /usr/lib64/xorg/modules/drivers/sis_drv.so
#8  0x00002b59ab28b2f5 in sisSaveUnlockExtRegisterLock ()
   from /usr/lib64/xorg/modules/drivers/sis_drv.so
#9  0x00002b59ab28f4d9 in SiS_SetSISTVedgeenhance ()
   from /usr/lib64/xorg/modules/drivers/sis_drv.so
#10 0x00002b59ab29b3cd in SISAdjustFrame ()
   from /usr/lib64/xorg/modules/drivers/sis_drv.so
#11 0x00002b59ab29b850 in SISAdjustFrame ()
   from /usr/lib64/xorg/modules/drivers/sis_drv.so
#12 0x00002b59ab5fa69b in xf86ForceHWCursor ()
   from /usr/lib64/xorg/modules/libramdac.so
#13 0x000000000047f7d1 in xf86InitFBManagerArea ()
#14 0x000000000048c152 in xf86XVScreenInit ()
#15 0x0000000000479714 in xf86Wakeup ()
#16 0x000000000044e2a5 in WakeupHandler ()
#17 0x0000000000559cb4 in WaitForSomething ()
#18 0x000000000044a33a in Dispatch ()
#19 0x0000000000432c95 in main ()

Expected Results:  Program should continue.

Additional info:

The last message from the Xorg.0.log file is as follows:
(II) SIS(0): Restoring by setting old mode 0x03
Comment 1 Pawel Salek 2006-02-08 04:59:21 EST
I have tried attaching the log file but it seems the cookies get lost on the
way... I specify the URL instead. I see now it reports five errors:
(EE) SIGIO not blocked at xf86eqEnqueue
Comment 2 Mike A. Harris 2006-02-08 07:04:33 EST
Please attach your complete X server log file and config file as individual
uncompressed file attachments using the link below.  Note that you must
allow cookies to be set in your browser for bugzilla to function properly.
If you've blocked cookies, you'll need to remove the block.

Thanks in advance.
Comment 3 Pawel Salek 2006-02-08 07:18:19 EST
Created attachment 124371 [details]

xorg.conf attached with help of konqueror.
Comment 4 Pawel Salek 2006-02-08 07:19:57 EST
Created attachment 124372 [details]
Xorg.0.log before the hang
Comment 5 Pawel Salek 2006-02-08 07:21:15 EST
Created attachment 124373 [details]
Xorg.0.log after the hang

Observe that the first few bytes of the log file get damaged (possibly a side
Comment 6 Mike A. Harris 2006-02-08 07:50:06 EST
Thanks.  It appears that this is probably a bug in the SiS driver not
saving/restoring properly.  Please report the problem in X.Org bugzilla,
at http://bugs.freedesktop.org in the "xorg" component, so that it gets
assigned to the SiS driver maintainer for investigation.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", and awaiting upstream
bug report URL for tracking.

Thanks in advance.

Comment 7 Pawel Salek 2006-02-08 10:31:52 EST
Reported to bugs.freedesktop.org as:

Comment 8 Mike A. Harris 2006-02-09 11:26:46 EST
Thanks.  Adding bug to our upstream tracker..

Note You need to log in before you can comment on or make changes to this bug.